// DisplayManager.h

#ifndef _DISPLAYMANAGER_h
#define _DISPLAYMANAGER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif

#include <stdio.h>
#include <TM1637Display.h>
#include "BoardDefs.h"

class DisplayManager {
public:
	DisplayManager() 
		:
		_display(DISPLAY_CLK_PIN, DISPLAY_DAT_PIN) {
		_display.setBrightness(7);
	};

	void DisplayValue(int value);
	void Initialise(void);
private: 
	TM1637Display _display;
	const uint8_t SEG_INIT[4] = {
		SEG_G,      // -
		SEG_G,		// -
		SEG_G,      // -
		SEG_G       // -
	};
};

#endif

